%global momorel 1

Summary: Meta package for GNOME desktop.
Name: gnome
Version: 2.26.3
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

################################################
# Platform

Requires: atk
Requires: at-spi
Requires: audiofile
Requires: GConf2
Requires: glib2
Requires: gnome-mime-data
Requires: gnome-vfs2
Requires: gnome-vfs-monikers
Requires: gtk2
Requires: gtk-doc
Requires: libart_lgpl
Requires: libbonobo
Requires: libbonoboui
Requires: libglade2
Requires: libgnome
Requires: libgnomecanvas
Requires: libgnomeui
Requires: libIDL
Requires: ORBit2
Requires: pango

# dependency
Requires: cairo
Requires: dbus dbus-glib

################################################
# Desktop

Requires: alacarte
Requires: bug-buddy
Requires: cheese
Requires: dasher
Requires: deskbar-applet
Requires: eel2
Requires: ekiga
Requires: empathy
Requires: eog
Requires: epiphany
Requires: evince
Requires: evolution-data-server
Requires: file-roller
Requires: gcalctool
Requires: gconf-editor
Requires: gdm
Requires: gedit
Requires: gnome-applets
Requires: gnome-backgrounds
Requires: gnome-control-center
Requires: gnome-desktop
Requires: gnome-desktop-sharp
Requires: gnome-doc-utils
Requires: gnome-games
Requires: gnome-icon-theme
Requires: gnome-keyring
Requires: gnome-keyring-pam
Requires: gnome-mag
Requires: gnome-media
Requires: gnome-menus
Requires: gnome-netstatus
Requires: gnome-nettool
Requires: gnome-panel
Requires: gnome-power-manager
Requires: gnome-python2-desktop
Requires: gnome-screensaver
Requires: gnome-session
Requires: gnome-settings-daemon
Requires: gnome-sharp
Requires: gnome-speech
Requires: gnome-system-monitor
Requires: gnome-terminal
Requires: gnome-themes
Requires: gnome-user-docs
Requires: gnome-utils
Requires: gok
Requires: gstreamer-plugins-base
Requires: gstreamer-plugins-good
Requires: gstreamer
Requires: gtk2-engines
Requires: gtkhtml3
Requires: gtksourceview2
Requires: gucharmap
Requires: gvfs
Requires: hamster-applet
Requires: libgail-gnome
Requires: libgnomekbd
Requires: libgnomeprint22
Requires: libgnomeprintui22
Requires: libgtop2
Requires: libgweather
Requires: librsvg2
Requires: libsoup
Requires: libwnck
Requires: metacity
Requires: mousetweaks
Requires: nautilus
Requires: orca
Requires: pygtksourceview
Requires: seahorse
Requires: seahorse-plugins
Requires: sound-juicer
Requires: swfdec-gnome
Requires: tomboy
Requires: totem
Requires: totem-pl-parser
Requires: vinagre
Requires: vino
Requires: vte
Requires: yelp
Requires: zenity

# dependency
Requires: rarian

################################################
# Admin

Requires: pessulus

################################################
# Develop

Requires: accerciser
Requires: anjuta
Requires: devhelp
Requires: gdl
Requires: glade3
Requires: gnome-build
Requires: gnome-devel-docs

################################################
# Binding

Requires: gconfmm
Requires: glibmm
Requires: gnome-vfsmm
Requires: gtkmm
Requires: libglademm
Requires: libgnomecanvasmm
Requires: libgnomemm
Requires: libgnomeuimm
Requires: libsigc++
Requires: libxml++
Requires: pangomm
Requires: gtk-sharp2
Requires: gnome-python2
Requires: pygobject
Requires: pygtk2
Requires: pyorbit

################################################
# Applications

# X
Requires: X

# CD/DVD writer
Requires: gnomebaker

# net radio
Requires: rhythmbox

# diagram editor
Requires: dia

# vector graphics
Requires: inkscape

# raster graphics
Requires: gimp
Requires: gimp-gap
Requires: gutenprint
Requires: gutenprint-cups
Requires: gutenprint-utils

# mail client
Requires: sylpheed

# irc client
Requires: xchat

# fonts
Requires: fonts-japanese, freefonts, intlfonts

%description
This is meta package for GNOME desktop.

%files

%changelog
* Thu Jul  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.3-1m)
- update to 2.26.3

* Sat May 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sat Feb 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.91

* Sat Feb 14 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Fri Jan 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.3-3m)
- add %%files (for build)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.3-2m)
- rebuild against rpm-4.6

* Sat Jan 17 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.3-1m)
- update to 2.24.3

* Thu Nov 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- update to 2.24.2

* Sun Oct 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-2m)
- fix spec

* Fri Oct 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Sat Oct  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Wed Aug 27 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.22.3-3m)
- add gnome-keyring-pam

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.3-2m)
- change Requires: gst-plugins-base to gstreamer-plugins-base
- change Requires: gst-plugins-good to gstreamer-plugins-good

* Mon Jul 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3
- wasurete ita

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Fri Jan 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.3-1m)
- update to 2.20.3

* Thu Nov 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.2-1m)
- update to 2.20.2

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Thu Jul  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.3-1m)
- update to 2.18.3

* Sun Jun 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2 :-)

* Sun May  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.3-1m)
- update to 2.16.3

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-1m)
- update to 2.16.2

* Sat Oct  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- GNOME 2.16.1
-- epiphany and yelp was GNOME 2.14.3

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- GNOME 2.16.0

* Sat Aug 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-1m)
- GNOME 2.14.3

* Sun Jun 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- GNOME 2.14.2
-- add require gtk+-common

* Sun May 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- GNOME 2.14.1

* Wed Jun 16 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.0-3m)
- add require gst-plugins-additional

* Sat Jun  5 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.0-2m)
- remove require openoffice.org

* Mon May 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.0-1m)
- initial version
